Usergroups 3 endpoints

DELETE /usergroups/{id}

This endpoint allows you to delete a User Group.

Sample Request

curl -X DELETE https://console.jumpcloud.com/api/v2/usergroups/{GroupID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'

operationId: UserGroups_deleteGroup

Parameters

Name In Required Type Description
id path required string

ObjectID of the User Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

204

No Content

DELETE /usergroups/{id}
GET /usergroups/{id}

This endpoint returns the details of a User Group.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/usergroups/{GroupID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: UserGroups_getDetails

Parameters

Name In Required Type Description
id path required string

ObjectID of the User Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

GET /usergroups/{id}
PUT /usergroups/{id}

This endpoint allows you to do a full update of the User Group.

See the Dynamic Group Configuration KB article for more details on maintaining a Dynamic Group.

Sample Request

curl -X PUT https://console.jumpcloud.com/api/v2/usergroups/{Group_ID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "group_update"
  }'
operationId: UserGroups_updateGroup

Parameters

Name In Required Type Description
id path required string

ObjectID of the User Group.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema UserGroupPut
Property Type Required
name string required
email string optional
attributes object optional
sudo object optional
enabled boolean required
withoutPassword boolean required
ldapGroups array optional
name string optional
posixGroups array optional
id integer required
name string required
radius object optional
reply array optional
name string required
value string required
sambaEnabled boolean optional
description string optional
memberQuery object optional
queryType string required
filters array optional
membershipMethod string optional
memberQueryExemptions array optional
id string required
type string required
attributes object optional
memberSuggestionsNotify boolean optional

Responses

200

OK

PUT /usergroups/{id}

Users 4 endpoints

GET /users/{user_id}/pushendpoints

This endpoint returns the list of push endpoints associated with a user.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/users/{UserID}/pushendpoints \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: ${API_KEY}'
operationId: pushEndpoints_list

Parameters

Name In Required Type Description
user_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

400
401
403
404
409
500
GET /users/{user_id}/pushendpoints
DELETE /users/{user_id}/pushendpoints/{push_endpoint_id}

This endpoint will delete a push endpoint associated with a user.

operationId: pushEndpoints_delete

Parameters

Name In Required Type Description
user_id path required string
push_endpoint_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

400
401
403
404
409
500
DELETE /users/{user_id}/pushendpoints/{push_endpoint_id}
GET /users/{user_id}/pushendpoints/{push_endpoint_id}

This endpoint will retrieve a push endpoint associated with a user.

operationId: pushEndpoints_get

Parameters

Name In Required Type Description
user_id path required string
push_endpoint_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200

OK

400
401
403
404
409
500
GET /users/{user_id}/pushendpoints/{push_endpoint_id}
PATCH /users/{user_id}/pushendpoints/{push_endpoint_id}

This endpoint will update a push endpoint associated with a user.

operationId: pushEndpoints_patch

Parameters

Name In Required Type Description
user_id path required string
push_endpoint_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema PushEndpointsPatchRequest
Property Type Required
name string optional
state string optional

Responses

200

OK

400
401
403
404
409
500
PATCH /users/{user_id}/pushendpoints/{push_endpoint_id}

Workdayimport 9 endpoints

GET /workdays

This endpoint will return all the available information about all your instances of Workday.

Sample Request
curl -X GET https://console.jumpcloud.com/api/v2/workdays/ \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: workdays_list

Parameters

Name In Required Type Description
fields query optional array

The comma separated fields included in the returned records.
If omitted, the default list of fields will be returned.

limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

filter query optional array

A filter to apply to the query.

Filter structure: <field>:<operator>:<value>.

field = Populate with a valid field from an endpoint response.

operator = Supported operators are: eq, ne, gt, ge, lt, le, between, search, in.
Note: v1 operators differ from v2 operators.

value = Populate with the value you want to search for. Is case sensitive. Supports wild cards.

EX: GET /api/v2/groups?filter=name:eq:Test+Group

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /workdays
POST /workdays

This endpoint allows you to create a new workday instance.

You must supply a username and password for Basic Authentication that is the same as your WorkDay Integrator System User. Failure to provide these credentials will result in the request being rejected.

Currently O-Auth isn’t a supported authentication protocol for WorkDay, but will be in the future.

Currently, only one instance is allowed and it must be Workday Import.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/workdays/ \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
    "name": "Workday2",
    "reportUrl":"https://workday.com/ccx/service/customreport2/gms/user/reportname?format=json",
    "auth": {
      "basic": {
        "username": "someDeveloper",
        "password": "notTheRealPassword"
      }
    }
  }'
operationId: workdays_post

Parameters

Name In Required Type Description
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema workday-input
Property Type Required
auth object optional
basic object optional
password string optional
username string optional
oauth object optional
code string optional
name string optional
reportUrl string optional

Responses

201
POST /workdays
GET /workdays/{id}

This endpoint will return all the available information about an instance of Workday.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/workdays/ \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: workdays_get

Parameters

Name In Required Type Description
id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /workdays/{id}
PUT /workdays/{id}

This endpoint allows you to update the name and Custom Report URL for a Workday Instance.

Currently, the name can not be changed from the default of Workday Import.

Sample Request
curl -X PUT https://console.jumpcloud.com/api/v2/workdays/{WorkdayID} \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
	"reportUrl":"{Report_URL}",
	"name":"{Name}"
}	'
operationId: workdays_put

Parameters

Name In Required Type Description
id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema workday-fields
Property Type Required
name string optional
reportUrl string optional

Responses

200
PUT /workdays/{id}
GET /workdays/{id}/import/{job_id}/results

This endpoint provides a list of job results from the workday import and will contain all imported data from Workday.

Sample Request

curl -X GET https://console.jumpcloud.com/api/v2/workdays/{WorkdayID}/import/{ImportJobID}/results \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: workdays_importresults

Parameters

Name In Required Type Description
id path required string
job_id path required string
limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /workdays/{id}/import/{job_id}/results
DELETE /workdays/{workday_id}/auth

Removes any and all authorization methods from the workday instance

Sample Request
curl -X DELETE https://console.jumpcloud.com/api/v2/workdays/{WorkDayID}/auth \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'
operationId: workdays_deauthorize

Parameters

Name In Required Type Description
workday_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

204
DELETE /workdays/{workday_id}/auth
POST /workdays/{workday_id}/auth

This endpoint adds an authorization method to a workday instance.

You must supply a username and password for Basic Authentication that is the same as your WorkDay Integrator System User. Failure to provide these credentials will result in the request being rejected.

Currently O-Auth isn’t a supported authentication protocol for WorkDay, but will be in the future.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/workdays/{WorkDayID}/auth \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '{
	"auth":{
	  "basic": {
		"username": "someDeveloper",	  
		"password": "notTheRealPassword"

	  }
	}
}'

operationId: workdays_authorize

Parameters

Name In Required Type Description
workday_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema auth-input-object
Property Type Required
auth object optional
basic object optional
password string optional
username string optional
oauth object optional
code string optional

Responses

204
POST /workdays/{workday_id}/auth
POST /workdays/{workday_id}/import

The endpoint allows you to create a Workday Import request.

Sample Request

curl -X POST https://console.jumpcloud.com/api/v2/workdays/{WorkdayID}/import \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}' \
  -d '[
	{
		"email":"{email}",
		"firstname":"{firstname}",
		"lastname":"{firstname}",
		"username":"{username}",
		"attributes":[
			{"name":"EmployeeID","value":"0000"},
			{"name":"WorkdayID","value":"name.name"}
			]
		
	}
]
operationId: workdays_import

Parameters

Name In Required Type Description
workday_id path required string
x-org-id header optional string

Organization identifier that can be obtained from console settings.

Request Body

application/json
schema BulkUsersCreateRequest
array of object
Property Type Required
email string optional
lastname string optional
username string optional
firstname string optional
attributes array optional

Responses

201
POST /workdays/{workday_id}/import
GET /workdays/{workday_id}/workers

This endpoint will return all of the data in your WorkDay Custom Report that has been associated with your WorkDay Instance in JumpCloud.

Sample Request
curl -X GET https://console.jumpcloud.com/api/v2/workdays/{WorkDayID}/workers \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: {API_KEY}'


operationId: workdays_workers

Parameters

Name In Required Type Description
workday_id path required string
limit query optional integer

The number of records to return at once. Limited to 100.

skip query optional integer

The offset into the records to return.

sort query optional array

The comma separated fields used to sort the collection.
Default sort is ascending, prefix with - to sort descending.

x-org-id header optional string

Organization identifier that can be obtained from console settings.

Responses

200
GET /workdays/{workday_id}/workers